## UDisksLinuxPartitionTable

UDisksLinuxPartitionTable — Linux implementation of UDisksPartitionTable

## Functions

UDisksPartitionTable * | udisks_linux_partition_table_new ()
void | udisks_linux_partition_table_update ()

## Types and Values

| UDisksLinuxPartitionTable

## Object Hierarchy

        GObject
        ╰── GDBusInterfaceSkeleton
            ╰── UDisksPartitionTableSkeleton
                ╰── UDisksLinuxPartitionTable

## Implemented Interfaces

UDisksLinuxPartitionTable implements GDBusInterface and UDisksPartitionTable.

## Description

This type provides an implementation of the UDisksPartitionTable interface on Linux.

## Functions

### udisks_linux_partition_table_new ()

    UDisksPartitionTable *
    udisks_linux_partition_table_new (void);

Creates a new UDisksLinuxPartitionTable instance.

#### Returns

A new UDisksLinuxPartitionTable. Free with `g_object_unref()`.

### udisks_linux_partition_table_update ()

    void
    udisks_linux_partition_table_update (UDisksLinuxPartitionTable *table,
                                         UDisksLinuxBlockObject *object);

Updates the interface.

#### Parameters

table | A UDisksLinuxPartitionTable. |
object | The enclosing UDisksLinuxBlockObject instance. |

## Types and Values

### UDisksLinuxPartitionTable

    typedef struct _UDisksLinuxPartitionTable UDisksLinuxPartitionTable;

The UDisksLinuxPartitionTable structure contains only private data and should only be accessed using the provided API.